hpp-fcl: hpp::fcl::OBB Struct Reference

hpp-fcl 1.7.2 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
hpp::fcl::OBB Struct Reference
Bounding volumes

Oriented bounding box class. More...

`#include <hpp/fcl/BV/OBB.h>`

## Public Member Functions
| OBB ()
bool | operator== (const OBB &other) const
| Equality operator. More...
bool | operator!= (const OBB &other) const
| Difference operator. More...
bool | contain (const Vec3f &p) const
| Check whether the OBB contains a point. More...
bool | overlap (const OBB &other) const
bool | overlap (const OBB &other, const CollisionRequest &request, FCL_REAL &sqrDistLowerBound) const
FCL_REAL | distance (const OBB &other, Vec3f *P=NULL, Vec3f *Q=NULL) const
| Distance between two OBBs, not implemented. More...
OBB & | operator+= (const Vec3f &p)
| A simple way to merge the OBB and a point (the result is not compact). More...
OBB & | operator+= (const OBB &other)
| Merge the OBB and another OBB (the result is not compact). More...
OBB | operator+ (const OBB &other) const
| Return the merged OBB of current OBB and the other one (the result is not compact). More...
FCL_REAL | size () const
| Size of the OBB (used in BV_Splitter to order two OBBs) More...
const Vec3f & | center () const
| Center of the OBB. More...
FCL_REAL | width () const
| Width of the OBB. More...
FCL_REAL | height () const
| Height of the OBB. More...
FCL_REAL | depth () const
| Depth of the OBB. More...
FCL_REAL | volume () const
| Volume of the OBB. More...

## Public Attributes
Matrix3f | axes
| Orientation of OBB. axis[i] is the ith column of the orientation matrix for the box; it is also the i-th principle direction of the box. We assume that axis[0] corresponds to the axis with the longest box edge, axis[1] corresponds to the shorter one and axis[2] corresponds to the shortest one. More...
Vec3f | To
| Center of OBB. More...
Vec3f | extent
| Half dimensions of OBB. More...

## Detailed Description

Oriented bounding box class.

The documentation for this struct was generated from the following file:

- include/hpp/fcl/BV/OBB.h